////////////////////////////////////////////////////////
////////////////////////////////////////////////////////
////////////////////////////////////////////////////////
var tooltip = document.getElementById('tooltip-wrapper');
var curLayer='scene';
function hideTooltip() {
	gsap.to(tooltip, 0.2, {
		autoAlpha: 0,
		onComplete: function () {
			tooltip.isShow = false;
		}
	});
	if($("#play_camera")){
		$("#play_camera").attr('src','');
	}
}
//显示弹窗
function showTooltip(e){
	var x = e.screenCoord.x;
	var y = e.screenCoord.y;
	gsap.fromTo(
		tooltip,
		0.4,
		{
			autoAlpha: 0,
			x: x,
			y: y - 10
		},
		{
			autoAlpha: 1,
			x: x,
			y: y
		}
	);
}
// 创建测试输出信息显示
window.initPanelConsole = function (mainApp, containerApp) {
	// 测试浮层标注
	//var tooltip = document.getElementById('tooltip-wrapper');
	//tooltip.style.opacity = 1;

	/*function hideTooltip() {
		gsap.to(tooltip, 0.2, {
			autoAlpha: 0,
			onComplete: function () {
				tooltip.isShow = false;
			}
		});
		if($("#play_camera")){
			$("#play_camera").attr('src','');
		}
	}*/

	// 鼠标点击时关闭标注提示
	containerApp.onmousedown = function () {
		hideTooltip();
	};
	// 鼠标滚动时关闭标注提示
	/*containerApp.onwheel = function () {
		hideTooltip();
	};*/

	mainApp.bindToolTipOnHide(function (e) {
		hideTooltip();
	});

	// Marker: 巡检点UI按钮事件接口
	mainApp.bindMarkerEventCallback(function (e) {
		// e.eventType 包含 'click', 'hover', 'leave' 三种状态
		// e.screenCoord，换算出的屏幕坐标
		// ...

		// var consoleElement = document.getElementById("debug-panel-console");
		// if (consoleElement) {
		//     consoleElement.innerHTML = `
		//                     <div>按钮名称 : ${e.name}</div>
		//                     <div>按钮类型 : ${e.type}</div>
		//                     <div>按钮ID : ${e.id}</div>
		//                     <div>UI事件类型 : ${e.eventType}</div>

		//                     <br />

		//                     <div>
		//                         屏幕坐标: x- ${~~e.screenCoord.x}, y- ${~~e.screenCoord.y}
		//                     </div>
		//                 `;
		// }
		// 点击标签时，填充对应的标签业务数据
		if (e.eventType == 'click' || e.eventType== 'touchend') {
			console.log(e);

			if (e.type === 'layer') return;

			switch (e.type) {
				// 园区内主体建筑标注
				// 摄像头
				case 'camera':
					var getcameraid=(e.deviceSourceId?e.deviceSourceId:'');
					console.log(getcameraid);
					tooltip.innerHTML = `
                    <div class="tooltip bottom">
                        <h3>${e.name}</h3>
                        <div
                            style="
                                display: grid;
                                grid-template-columns: auto auto;
                                grid-template-rows: auto auto;
                            "
                        >
                        <div style="width:500px; height: 280px;">
                        	<iframe id="play_camera" src="/sbms/getCameraView.action?camera.id=`+getcameraid+`" width="100%" height="280" frameborder="0" scrolling="no"></iframe>
						</div>
                        </div>
                    </div>
                    `;
					tooltip.isShow = true;
					showTooltip(e);
					break;

				case 'building':
					var getallid=mainApp.getAppInfos();
					console.log(getallid);
					//下钻到相应楼层
					$(getallid.focusObj.layer).each(function (i,obj){
						if((obj.id.substring(obj.id.length - 2))==e.name){
							console.log(obj.id);
							mainApp.focusObjectById(obj.id);
							curLayer=obj.id;
						}
					});
					//hideTooltip();
					$(".return").show();
					tooltip.isShow = false;
					hideTooltip();
					break;

				case 'inspection':
					var pointid=(e.deviceSourceId?e.deviceSourceId:'');
					console.log(pointid);
					get_point_detail(pointid,function(back_html){
						//console.log(back_html);
						//console.log(tooltip.isShow);
						tooltip.innerHTML = `
						<div class="tooltip bottom" style="top:-170px">
							<h3>${e.name}</h3>
							<div
								style="
									display: grid;
									grid-template-columns: auto auto;
									grid-template-rows: auto auto;
								"
							>
							<div style="display: flex;">
							`+back_html+`
							</div>
							</div>
						</div>
						`;
						if(tooltip.isShow){
							showTooltip(e);
						}else{
							hideTooltip();
						}
					});

					break;


				default:
					break;
			}

			// tooltipTitle.innerText = e.name;
			// tooltipOwner.innerText = '负责人: 张强';
			// tooltipState.innerHTML = `检查状态: <span class="level1">正常</span>`;
			// tooltipDate.innerText = '检查时间: 2021-01-06';

			// var x = ~~e.screenCoord.x - 77;
			// var y = ~~e.screenCoord.y - 130;

		}
	});
};
